## xsystem35 1.7.3-pre5

=== debian/changelog ===
xsystem35 (1.7.3-pre5-6) unstable; urgency=low

  * Drop dependencies of esound (Closes: #856097)
  * Bump debhelper version to 9
  * Bump Standards-Version to 4.1.2: Nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 25 Dec 2017 04:53:13 +0800

xsystem35 (1.7.3-pre5-5) unstable; urgency=low

  * Build-Depends on libjpeg-dev instead of libjpeg62-dev (Closes: #647111)
  * Update debian/copyright to latest DEP-5 format.
  * Don't install duplicated usr/share/doc/xsystem35/ChangeLog

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 20 Nov 2011 16:06:51 +0800

xsystem35 (1.7.3-pre5-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.2
    - Remove *.la files (Closes: #633226)
  * Use dh-autoreconf
  * Don't use embedded libltdl-dev
  * Fix multiarch rpath

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 22 Jul 2011 02:51:10 +0800

xsystem35 (1.7.3-pre5-3) unstable; urgency=low

  * debian/rules: Add -lX11 in LDFLAGS to fix FTBFS (Closes: #615804)
  * debian/copyright: Update to DEP-5 rev 173 format.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 16 Mar 2011 14:43:15 +0800

xsystem35 (1.7.3-pre5-2) unstable; urgency=low

  * debian/patches/02_use_utf8.patch: To be able to run in UTF-8 locale.
  * refine descriptions (Closes: #602710)
    - Thanks to Rupert Swarbrick <rswarbrick@gmail.com>
  * Update debian/copyright.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 09 Nov 2010 01:05:11 +0800

xsystem35 (1.7.3-pre5-1) unstable; urgency=low

  * Initial release (Closes: #594147)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 01 Sep 2010 02:28:39 +0800
