=== debian/control ===
Source: xsystem35
Section: games
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, libgtk2.0-dev,
               libvorbis-dev, libjpeg-dev, xsltproc, docbook-xsl,
               libasound2-dev, libltdl-dev, dh-autoreconf,
	       autopoint, chrpath
Standards-Version: 4.1.2
Homepage: http://8ne.sakura.ne.jp:20008/chika/unitbase/xsys35/

Package: xsystem35
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: System 3.5 games engine for X Window System
 xsystem35 is a free implementation of System 3.5, a games engine created
 by Alice Soft. It is able to run many existing System 3.5 games.
