=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
# <Webpage URL> <string match>
http://8ne.sakura.ne.jp:20008/chika/unitbase/xsys35/download.html \
.*/xsystem35-(.*)\.tar\.gz
