## xsystem35 2.13.0

=== debian/changelog ===
xsystem35 (2.13.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Use SDL 2 port (Closes: #967840)
  * Drop patches
  * Drop old menu file
  * Unrecommend fonts-takao-mincho (which has changed to Source Han Serif)

 -- Bastian Germann <bage@debian.org>  Sun, 15 Dec 2024 21:20:31 +0000

xsystem35 (1.7.3-pre5-13) unstable; urgency=low

  * Use alternatives so that we can have different implementation of
    xsystem35.
    - Rename the binaries to xsystem35-x11.
    - Rename the manpages.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 30 Aug 2024 21:17:35 +0800

xsystem35 (1.7.3-pre5-12) unstable; urgency=low

  * Fix FTBFS for gcc-14 (Closes: #1075688)
    - Add debian/patches/06_fix_gcc_14_ftbfs.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 07 Aug 2024 12:07:32 +0800

xsystem35 (1.7.3-pre5-11) unstable; urgency=low

  * Fix FTBFS by -Werror=implicit-function-declaration (Closes: #1066527)
    - Add debian/patches/05_fix_ftbfs_implicit-function-declaration.patch
  * debian/control: pkg-config -> pkgconf

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 01 Apr 2024 03:59:19 +0800

xsystem35 (1.7.3-pre5-10) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * Upload Helmut's debdiff.
  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: (Closes: #958676)
    + Use the host's pkg-config in debian/esd-config and
      debian/bin/freetype-config.
    + Export PKG_CONFIG for the earlier scripts.
    + Also kill broken copy macros/gtk-2.0.m4.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 31 Jan 2023 04:24:12 +0800

xsystem35 (1.7.3-pre5-9) unstable; urgency=low

  * Remove broken embedded copy of AM_PATH_GLIB_2_0 (Closes: #958676)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 26 Dec 2022 20:38:29 +0800

xsystem35 (1.7.3-pre5-8) unstable; urgency=low

  * Bump debhelper version to 11.
  * Add 04_esd_to_pulseaudio.patch and 04_sndcnv_64bit.patch
    - Fix audio not playable.
  * Update README.Debian
  * Bump Standards-Version to 4.4.1: Nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 28 Nov 2019 02:14:40 +0800

xsystem35 (1.7.3-pre5-7) unstable; urgency=low

  * Bump debhelper version to 10.
    - Remove unnecessary build-dependencies: autotools-dev, dh-autoreconf
  * Fix debian/copyright format
  * Add debian/patches/02_modify_ttf_font_path.patch
    - It seems that we cannot draw xfonts anymore. All characters are blank.
      Thus we start using ttf to draw glyphs. Please see README.Debian
  * Move freetype-config to debian/bin and it will call pkg-config.
    - Add Build-Depends on pkg-config. (Closes: #892450)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 06 Nov 2018 05:22:04 +0800
