## xsystem35 2.14.2

=== debian/changelog ===
xsystem35 (2.14.2-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 31 Mar 2025 16:36:56 +0100
