## xsystem35 2.14.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 enable_testing()
 set(CMAKE_EXPORT_COMPILE_COMMANDS TRUE)
 
-set(XSYSTEM35_VERSION "2.13.0")
+set(XSYSTEM35_VERSION "2.14.3")
 
 include(CheckSymbolExists)
 include(FetchContent)
@@ -37,8 +37,8 @@
 function(fetch_webp)
   FetchContent_Declare(
     libwebp
-    URL https://storage.googleapis.com/downloads.webmproject.org/releases/webp/libwebp-1.4.0.tar.gz
-    URL_HASH SHA1=0b1c8bea200caaa010182609dbaaa91aec69b64d
+    URL https://storage.googleapis.com/downloads.webmproject.org/releases/webp/libwebp-1.5.0.tar.gz
+    URL_HASH SHA1=b21aa842136dc59a72a38776a5aa73f4d0b00ac5
     )
   set(WEBP_BUILD_ANIM_UTILS OFF CACHE BOOL "Build animation utilities." FORCE)
   set(WEBP_BUILD_CWEBP OFF CACHE BOOL "Build the cwebp command line tool." FORCE)
