=== modules/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,12 @@
   AliceLogo/AliceLogo.c
   Confirm/Confirm.c
   Gpx/Gpx.c
+  Gpx/cg.c
   Gpx/effectcopy.c
+  Gpx/graph_copy_amap.c
+  Gpx/graph_fillrect_amap.c
+  Gpx/graph.c
+  Gpx/surface.c
   Math/Math.c
   MsgSkip/MsgSkip.c
   NIGHTDLL/NIGHTDLL.c
@@ -23,6 +28,7 @@
   NIGHTDLL/nt_sound.c
   NightDemonDemo/NightDemonDemo.c
   RandMT/RandMT.c
+  S3xMusic/S3xMusic.c
   SACT/SACT.c
   SACT/sactcg.c
   SACT/sactsound.c
@@ -60,27 +66,8 @@
   eeDemo/eeDemo.c
   lib/alk.c
   lib/drawtext.c
-  lib/graph.c
   lib/list.c
-  lib/surface.c
-  lib/cg.c
-  lib/graph_expandcolor_blend.c
-  lib/graph_fillrect.c
-  lib/graph_fillrect_amap.c
-  lib/graph_fillrect_acolor.c
-  lib/graph_rect.c
-  lib/graph_copy.c
-  lib/graph_copy_amap.c
-  lib/graph_copy_bright.c
   lib/graph_blend_amap.c
-  lib/graph_blend_screen.c
-  lib/graph_saturadd_amap.c
-  lib/graph_draw_amap.c
-  lib/graph_stretch.c
-  lib/graph_cg.c
-  lib/gre_blend_useamap.c
-  lib/gre_blend.c
-  lib/gre_blend_screen.c
   nDEMO/nDEMO.c
   nDEMOE/nDEMOE.c
   oDEMO/oDEMO.c
