=== src/CMakeLists.txt ===
--- 
+++ 
@@ -81,6 +81,7 @@
   s39ain.c
   savedata.c
   scenario.c
+  scheduler.c
   sdl_cursor.c
   sdl_draw.c
   sdl_effect.c
