=== tools/CMakeLists.txt ===
add_executable(uchars EXCLUDE_FROM_ALL uchars.c)
