=== android/app/jni/CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 include(FetchContent)
 FetchContent_Declare(
   SDL
-  URL https://github.com/libsdl-org/SDL/releases/download/release-2.30.9/SDL2-2.30.9.tar.gz
-  URL_HASH SHA1=9403df0573d47f62f2de074b582b87576bb4abbc
+  URL https://github.com/libsdl-org/SDL/releases/download/release-2.32.4/SDL2-2.32.4.tar.gz
+  URL_HASH SHA1=4fb68f43891ca4def414cc7cf0f3b2a053cb6aaf
 )
 FetchContent_Declare(
   SDL_ttf
