## xsystem35 2.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,11 @@
-cmake_minimum_required(VERSION 3.13)
-
-# Rebuild external projects when download URL changes
-if (CMAKE_VERSION VERSION_GREATER_EQUAL "3.24.0")
-  cmake_policy(SET CMP0135 NEW)
-endif()
+cmake_minimum_required(VERSION 3.13...4.0)
 
 project(xsystem35 LANGUAGES C)
 set(CMAKE_C_STANDARD 99)
 enable_testing()
 set(CMAKE_EXPORT_COMPILE_COMMANDS TRUE)
 
-set(XSYSTEM35_VERSION "2.14.3")
+set(XSYSTEM35_VERSION "2.16.0")
 
 include(CheckSymbolExists)
 include(FetchContent)
