## xsystem35 2.16.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 enable_testing()
 set(CMAKE_EXPORT_COMPILE_COMMANDS TRUE)
 
-set(XSYSTEM35_VERSION "2.16.0")
+set(XSYSTEM35_VERSION "2.16.1")
 
 include(CheckSymbolExists)
 include(FetchContent)
