=== src/CMakeLists.txt ===
--- 
+++ 
@@ -59,9 +59,14 @@
   cursor.c
   dri.c
   ecopy.c
+  effect.c
+  event.c
   filecheck.c
   font.c
   hacks.c
+  gfx_draw.c
+  gfx_image.c
+  gfx_video.c
   image.c
   input.c
   jpeg.c
@@ -82,13 +87,8 @@
   savedata.c
   scenario.c
   scheduler.c
-  sdl_cursor.c
-  sdl_draw.c
-  sdl_effect.c
-  sdl_event.c
-  sdl_image.c
-  sdl_video.c
   selection.c
+  system.c
   texthook.c
   variable.c
   vsp.c
@@ -125,7 +125,7 @@
 elseif (ENABLE_GTK)
   target_sources(xsystem35 PRIVATE menu.c menu_callback.c menu_gui.c s39init.c)
 else ()
-  target_sources(xsystem35 PRIVATE menu_sdl.c sdl_input.c)
+  target_sources(xsystem35 PRIVATE menu_sdl.c editor.c)
 endif()
 
 if (HAVE_WEBP)
@@ -170,7 +170,7 @@
     -sALLOW_MEMORY_GROWTH=1
     -sNO_EXIT_RUNTIME=1
     -sEXPORTED_FUNCTIONS=_main,_malloc
-    -sEXPORTED_RUNTIME_METHODS=FS,IDBFS,getValue,addRunDependency,removeRunDependency,stringToUTF8OnStack
+    -sEXPORTED_RUNTIME_METHODS=FS,IDBFS,HEAPU8,HEAP16,getValue,addRunDependency,removeRunDependency,stringToUTF8OnStack
     --emit-tsd=xsystem35.d.ts
     )
