=== debian/control ===
Source: xsystem35
Section: games
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: asciidoctor,
               cmake,
               debhelper-compat (= 12),
               libcjson-dev,
               libgtk-3-dev,
               libjpeg-dev,
               libpulse-dev,
               libsdl2-dev,
               libsdl2-mixer-dev,
               libsdl2-ttf-dev,
               pkgconf,
Standards-Version: 4.4.1
Homepage: https://github.com/kichikuou/xsystem35-sdl2

Package: xsystem35
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-motoya-l-cedar
Suggests: timidity
Description: System 3.5 games engine for X Window System
 xsystem35 is a free implementation of System 3.5, a games engine created
 by Alice Soft. It is able to run many existing System 3.5 games.
