=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/buildtools.mk
export PKG_CONFIG

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

execute_after_dh_auto_install:
	mkdir -p $(CURDIR)/debian/xsystem35/usr/games
	mv $(CURDIR)/debian/xsystem35/usr/bin/xsystem35 $(CURDIR)/debian/xsystem35/usr/games/xsystem35-x11
	mv $(CURDIR)/debian/xsystem35/usr/share/man/man6/xsystem35.6 $(CURDIR)/debian/xsystem35/usr/share/man/man6/xsystem35-x11.6
	rmdir $(CURDIR)/debian/xsystem35/usr/bin
	rm $(CURDIR)/debian/xsystem35/usr/share/xsystem35/fonts/MTLc3m.ttf*

override_dh_installdocs:
	dh_installdocs -XChangeLog
