=== debian/watch ===
version=4
# <Webpage URL> <string match>
https://github.com/kichikuou/xsystem35-sdl2/tags \
.*/xsystem35-sdl2/archive/refs/tags/v([\d.]+)\.tar\.gz
