=== debian/changelog ===
xsystem35 (2.17.0-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 01 Dec 2025 10:21:27 +0000
